﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;


namespace Example2_BasicPinFunctions
{
    class Program
    {

        public enum pinFunctionsEnum
        {
            pinFunctionInactive = 0,
            pinFunctionDigitalInput = 2,
            pinFunctionDigitalOutput = 4,
            pinFunctionAnalogInput = 8,
            pinFunctionAnalogOutput = 16,
            pinInvert = 128
        }

        static void Main(string[] args)
        {
            // Create PoKeys55 device object
            PoKeysDevice_DLL.PoKeysDevice device = new PoKeysDevice_DLL.PoKeysDevice();
            // Enumerate devices (this step must never be ommited!)
            int iNumDevices = device.EnumerateDevices();
            if (iNumDevices == 0)
            {
                Console.WriteLine("No PoKeys55 devices found!");
                Console.WriteLine("\nPress any key to exit");
                Console.ReadKey();
                return;
            }
            // Connect to first PoKeys55 device
            device.ConnectToDevice(0);

            int i;
            // Set pins as digital output
            for (i = 2; i <= 9; i++)
            {
                device.SetPinData((byte)(i - 1), (byte)(pinFunctionsEnum.pinFunctionDigitalOutput));
            }
            Console.WriteLine("Pins 2-9 set as digital output");


            bool flop = false;
            int j = 0;
            while (true)
            {
                for (i = 2; i <= 9; i++)
                {
                    device.SetOutput((byte)(2 - 1), flop);
                }
                flop = !flop; //flop alternates true, false, true, false,...
                j++;
                if (j % 500 == 0)
                {
                    Console.WriteLine("500 more done"); //prints every time the output changes 500 times (9 seconds)
                }
            }

            // Disconnect from device
            device.DisconnectDevice();


            Console.WriteLine("\nEnd.\nPress any key to exit");
            Console.ReadKey();

        }
    }
}
